Public Member Functions | List of all members
clan::ResourceObject Class Reference
clanCore Resources

Resource proxy of any type. More...

`#include <resource_object.h>`

## Public Member Functions
| ResourceObject ()
template<typename Type >
| ResourceObject (const Resource< Type > &resource)
template<typename Type >
Resource< Type > | cast ()
bool | is_null () const
bool | operator!= (const ResourceObject &other) const
bool | operator< (const ResourceObject &other) const
bool | operator<= (const ResourceObject &other) const
bool | operator== (const ResourceObject &other) const
bool | operator> (const ResourceObject &other) const
bool | operator>= (const ResourceObject &other) const

## Detailed Description

Resource proxy of any type.

The documentation for this class was generated from the following file:

- resource_object.h